## AgsRecallAudioRun

AgsRecallAudioRun — The recall base class of dynamic audio context

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsAudio * | ags_recall_audio_run_get_audio ()
void | ags_recall_audio_run_set_audio ()
AgsRecallAudio * | ags_recall_audio_run_get_recall_audio ()
void | ags_recall_audio_run_set_recall_audio ()
AgsRecallAudioRun * | ags_recall_audio_run_new ()

## Properties

AgsAudio * | audio | Read / Write
AgsRecallAudio * | recall-audio | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudioRun
                ├── AgsFxAnalyseAudioProcessor
                ├── AgsFxBufferAudioProcessor
                ├── AgsFxNotationAudioProcessor
                ├── AgsFxEnvelopeAudioProcessor
                ├── AgsFxEq10AudioProcessor
                ├── AgsFxHighPassAudioProcessor
                ├── AgsFxLadspaAudioProcessor
                ├── AgsFxLfoAudioProcessor
                ├── AgsFxLowPassAudioProcessor
                ├── AgsFxPatternAudioProcessor
                ├── AgsFxPeakAudioProcessor
                ├── AgsFxPlaybackAudioProcessor
                ├── AgsFxTremoloAudioProcessor
                ├── AgsFxTwoPassAliaseAudioProcessor
                ├── AgsFxVolumeAudioProcessor
                ╰── AgsFxWahWahAudioProcessor

## Includes

    #include <ags/audio/ags_recall_audio_run.h>

## Description

AgsRecallAudioRun acts as dynamic audio recall. It does audio processing for audio context.

## Functions

### ags_recall_audio_run_get_audio ()

    AgsAudio *
    ags_recall_audio_run_get_audio (AgsRecallAudioRun *recall_audio_run);

Get audio.

#### Parameters

recall_audio_run | the AgsRecallAudioRun |

#### Returns

the AgsAudio.

[transfer full]

Since: 3.1.0

### ags_recall_audio_run_set_audio ()

    void
    ags_recall_audio_run_set_audio (AgsRecallAudioRun *recall_audio_run,
                                    AgsAudio *audio);

Set audio.

#### Parameters

recall_audio_run | the AgsRecallAudioRun |
audio | the AgsAudio |

Since: 3.1.0

### ags_recall_audio_run_get_recall_audio ()

    AgsRecallAudio *
    ags_recall_audio_run_get_recall_audio (AgsRecallAudioRun *recall_audio_run);

Get recall audio.

#### Parameters

recall_audio_run | the AgsRecallAudioRun |

#### Returns

the AgsRecallAudio.

[transfer full]

Since: 3.1.0

### ags_recall_audio_run_set_recall_audio ()

    void
    ags_recall_audio_run_set_recall_audio (AgsRecallAudioRun *recall_audio_run,
                                           AgsRecallAudio *recall_audio);

Set recall audio.

#### Parameters

recall_audio_run | the AgsRecallAudioRun |
recall_audio | the AgsRecallAudio |

Since: 3.1.0

### ags_recall_audio_run_new ()

    AgsRecallAudioRun *
    ags_recall_audio_run_new ();

Creates an AgsRecallAudioRun.

#### Returns

a new AgsRecallAudioRun.

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned audio.

Owner: AgsRecallAudioRun

Flags: Read / Write

Since: 3.0.0

### The `“recall-audio”` property

      “recall-audio”             AgsRecallAudio *

The recall audio belonging to.

Owner: AgsRecallAudioRun

Flags: Read / Write

Since: 3.0.0